Bug 1458499 - 4.11.x breaks tcp over udp for eg. ipsec connections (due to esp4 bug)
Summary: 4.11.x breaks tcp over udp for eg. ipsec connections (due to esp4 bug)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-03 14:18 UTC by Andreas Bierfert
Modified: 2017-12-12 10:43 UTC (History)
10 users (show)

Fixed In Version: kernel-4.11.3-202.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:43:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Bierfert 2017-06-03 14:18:11 UTC
Description of problem:
4.11.x breaks ipsec connections (due to esp4 bug): https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0e78a87306a6f55b1c7bbafad1de62c3975953ca


Version-Release number of selected component (if applicable):
kernel 4.11.x

How reproducible:
Always

Steps to Reproduce:
1. Open e.g. strongswan vpn tunnel
2. Try to send udp traffic
3. Boom!

Comment 1 Andreas Bierfert 2017-06-03 14:19:02 UTC
In step 2. s/udp/tcp/ obviously...

Comment 2 Laura Abbott 2017-06-05 15:28:11 UTC
I saw that commit mentioned as being a fix before but where do you get that it is applicable to 4.11.x? None of the commits mentioned in the fixes tag are present in 4.11 and the patch does not apply cleanly to 4.11. If it is applicable somehow, a networking maintainer would need to provide a proper backport.

Comment 3 Laura Abbott 2017-06-05 16:03:15 UTC
Okay I think I found the version of the fix that applies to 4.11 buried in the mailing lists somewhere. https://koji.fedoraproject.org/koji/taskinfo?taskID=19871705 should be building with a fix.

Comment 4 Fedora Update System 2017-06-05 22:14:53 UTC
kernel-4.11.3-302.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 5 Fedora Update System 2017-06-05 22:16:06 UTC
kernel-4.11.3-202.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 6 Fedora Update System 2017-06-05 22:21:26 UTC
kernel-4.11.3-101.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 7 Fedora Update System 2017-06-06 19:05:09 UTC
kernel-4.11.3-302.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 8 Fedora Update System 2017-06-07 07:33:38 UTC
kernel-4.11.3-101.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 9 Fedora Update System 2017-06-07 07:34:21 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 10 Fedora Update System 2017-06-08 14:32:20 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-06-08 17:37:52 UTC
kernel-4.11.4-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 12 Fedora Update System 2017-06-09 13:32:01 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 13 Fedora Update System 2017-06-13 19:56:25 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora End Of Life 2017-11-16 14:05:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:43:44 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.